package intrinsic.flash.xml;

public class XMLDocument extends intrinsic.flash.xml.XMLNode {

	/** Accessors */

	/** Variables */
	public Object docTypeDecl;
	public Object idMap;
	public Object xmlDecl;
	public boolean ignoreWhite;
	public String nodeValue;
	public intrinsic.flash.xml.XMLNode parentNode;
	public intrinsic.flash.xml.XMLNode previousSibling;
	public intrinsic.flash.xml.XMLNode lastChild;
	public intrinsic.flash.xml.XMLNode firstChild;
	public intrinsic.flash.xml.XMLNode nextSibling;
	public int nodeType;
	public String nodeName;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public XMLDocument() {
}

public XMLDocument(Object arg0) {
}


/** Static Methods */

/** Methods */
public native intrinsic.flash.xml.XMLNode createTextNode(String arg0);
public native String toString();
public native void parseXML(String arg0);
public native intrinsic.flash.xml.XMLNode createElement(String arg0);

}
